Upgrade to Python 3.6.0 Not Working

Hi Guys,

My Home Assistant front end has the message:

Python 3.6.0 support is deprecated and will be removed in the first release after October 2. Please upgrade Python to 3.6.1 or higher.

So I followed the instructions at this page and at the end, the last command:

sudo -u homeassistant -H /srv/homeassistant/bin/hass

had some error messages (I can’t remember what they said) but I did a sudo reboot and my Home Asssistant still shows the message above which seems to imply I don’t have 3.6.0

Is there a way to check what version I have got?

Thanks in advance.

Yep try:

python3 -V

It shows 3.6.0

I just realised my error. The notification is saying 3.6.0 is depreciated and I need to go to 3.6.1.

I gather I just follow the previous instructions, but where ever it had 3.6.0 in the path or file name (eg tar xzvf Python-3.6.0.tgz, I just change it to read tar xzvf Python-3.6.1.tgz ??

Cheers

I’m just using Raspbian Buster, it comes with Python 3.7 already installed :slight_smile: